# Google Maps Engine API . projects . icons

## Instance Methods

Create an icon.

Return an icon or its associated metadata

Return an icon or its associated metadata

Return all icons in the current project

Retrieves the next page of results.

### Method Details

`create(projectId, body=None, media_body=None)`

    Create an icon.

    Args:
      projectId: string, The ID of the project. (required)
      body: object, The request body.
        The object takes the form of:

    { # An icon is a user-uploaded image that can be used to style point geometries.
        "description": "A String", # The description of this Icon, supplied by the author.
        "name": "A String", # The name of this Icon, supplied by the author.
        "id": "A String", # An ID used to refer to this Icon.
      }

      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.

    Returns:
      An object of the form:

        { # An icon is a user-uploaded image that can be used to style point geometries.
          "description": "A String", # The description of this Icon, supplied by the author.
          "name": "A String", # The name of this Icon, supplied by the author.
          "id": "A String", # An ID used to refer to this Icon.
        }

`get(projectId, id)`

    Return an icon or its associated metadata

    Args:
      projectId: string, The ID of the project. (required)
      id: string, The ID of the icon. (required)

    Returns:
      An object of the form:

        { # An icon is a user-uploaded image that can be used to style point geometries.
          "description": "A String", # The description of this Icon, supplied by the author.
          "name": "A String", # The name of this Icon, supplied by the author.
          "id": "A String", # An ID used to refer to this Icon.
        }

`get_media(projectId, id)`

    Return an icon or its associated metadata

    Args:
      projectId: string, The ID of the project. (required)
      id: string, The ID of the icon. (required)

    Returns:
      The media object as a string.

`list(projectId, pageToken=None, maxResults=None)`

    Return all icons in the current project

    Args:
      projectId: string, The ID of the project. (required)
      pageToken: string, The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of nextPageToken from the previous response.
      maxResults: integer, The maximum number of items to include in a single response page. The maximum supported value is 50.

    Returns:
      An object of the form:

        { # The response returned by a call to icons.List.
        "nextPageToken": "A String", # Next page token.
        "icons": [ # Resources returned.
          { # An icon is a user-uploaded image that can be used to style point geometries.
              "description": "A String", # The description of this Icon, supplied by the author.
              "name": "A String", # The name of this Icon, supplied by the author.
              "id": "A String", # An ID used to refer to this Icon.
            },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.